LinkActionConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Interface LinkActionConstants

All Known Implementing Classes:
  AmpLinkLayer, BufferedLinkLayer, DrawLinkLayer, LinkActionList, LinkActionRequest, LinkLayer, TestLinkServer

    public interface LinkActionConstants

The LinkActionConstants interface contains all the constants needed for the LinkActionList and LinkActionRequest that are defined by the Link Protocol.

Field Summary
`static int` | `ACTION_GRAPHICS` Action identifier - change/modify/add graphics.
`static int` | `ACTION_GUI` Action identifier - change/modify/add GUI components.
`static int` | `ACTION_MAP` Action identifier - center/zoom/change projection of map.
`static int` | `CLIENT_NOTIFICATION_MASK` Gesture descriptor mask - Set if the integer is being sent to the client to tell it what types of events the server is interested in receiving.
`static int` | `GRAPHIC_ID_MASK` Gesture descriptor mask - Set if a gesture is affiliated with a particular graphic.
`static int` | `KEY_PRESSED_MASK` Gesture descriptor mask - Set if a keyboard button was pressed.
`static int` | `KEY_RELEASED_MASK` Gesture descriptor mask - Set if a keyboard button was released.
`static int` | `MODIFY_DELETE_GRAPHIC_MASK` Graphic action descriptor mask - delete the graphic.
`static int` | `MODIFY_DESELECT_GRAPHIC_MASK` Graphic action descriptor mask - deselect the graphic.
`static int` | `MODIFY_DESELECTALL_GRAPHIC_MASK` Graphic action descriptor mask - deselect all graphics.
`static int` | `MODIFY_LOWER_GRAPHIC_MASK` Graphic action descriptor mask - lower graphics below others.
`static int` | `MODIFY_RAISE_GRAPHIC_MASK` Graphic action descriptor mask - raise the graphic on top of others.
`static int` | `MODIFY_SELECT_GRAPHIC_MASK` Graphic action descriptor mask - select the graphic.
`static int` | `MOUSE_CLICKED_MASK` Gesture descriptor mask - Set if the mouse buttons were pressed and released.
`static int` | `MOUSE_DRAGGED_MASK` Gesture descriptor mask - Set if the mouse moved with a button down.
`static int` | `MOUSE_ENTERED_MASK` Gesture descriptor mask - Set if the mouse cursor has entered the map window.
`static int` | `MOUSE_EXITED_MASK` Gesture descriptor mask - Set if the mouse cursor has left the map window.
`static int` | `MOUSE_MOVED_MASK` Gesture descriptor mask - Set if the mouse moved with no buttons pressed.
`static int` | `MOUSE_PRESSED_MASK` Gesture descriptor mask - Set if the mouse button was pressed.
`static int` | `MOUSE_RELEASED_MASK` Gesture descriptor mask - Set if the mouse button was released.
`static int` | `SERVER_NOTIFICATION_MASK` Gesture descriptor mask - Set if the server is interested in receiving events even if a graphic gesture is handled locally.
`static int` | `UPDATE_ADD_GRAPHIC_MASK` Graphic action descriptor mask - add a graphic.
`static int` | `UPDATE_GRAPHIC_MASK` Graphic action descriptor mask - update the graphic.

Field Detail

### ACTION_GRAPHICS

    static final int ACTION_GRAPHICS

  Action identifier - change/modify/add graphics.

  See Also:
    Constant Field Values

### ACTION_GUI

    static final int ACTION_GUI

  Action identifier - change/modify/add GUI components.

  See Also:
    Constant Field Values

### ACTION_MAP

    static final int ACTION_MAP

  Action identifier - center/zoom/change projection of map.

  See Also:
    Constant Field Values

### MODIFY_RAISE_GRAPHIC_MASK

    static final int MODIFY_RAISE_GRAPHIC_MASK

  Graphic action descriptor mask - raise the graphic on top of others.

  See Also:
    Constant Field Values

### MODIFY_LOWER_GRAPHIC_MASK

    static final int MODIFY_LOWER_GRAPHIC_MASK

  Graphic action descriptor mask - lower graphics below others.

  See Also:
    Constant Field Values

### MODIFY_DELETE_GRAPHIC_MASK

    static final int MODIFY_DELETE_GRAPHIC_MASK

  Graphic action descriptor mask - delete the graphic.

  See Also:
    Constant Field Values

### MODIFY_SELECT_GRAPHIC_MASK

    static final int MODIFY_SELECT_GRAPHIC_MASK

  Graphic action descriptor mask - select the graphic.

  See Also:
    Constant Field Values

### MODIFY_DESELECT_GRAPHIC_MASK

    static final int MODIFY_DESELECT_GRAPHIC_MASK

  Graphic action descriptor mask - deselect the graphic.

  See Also:
    Constant Field Values

### MODIFY_DESELECTALL_GRAPHIC_MASK

    static final int MODIFY_DESELECTALL_GRAPHIC_MASK

  Graphic action descriptor mask - deselect all graphics.

  See Also:
    Constant Field Values

### UPDATE_ADD_GRAPHIC_MASK

    static final int UPDATE_ADD_GRAPHIC_MASK

  Graphic action descriptor mask - add a graphic.

  See Also:
    Constant Field Values

### UPDATE_GRAPHIC_MASK

    static final int UPDATE_GRAPHIC_MASK

  Graphic action descriptor mask - update the graphic.

  See Also:
    Constant Field Values

### MOUSE_CLICKED_MASK

    static final int MOUSE_CLICKED_MASK

  Gesture descriptor mask - Set if the mouse buttons were pressed and released.

  See Also:
    Constant Field Values

### MOUSE_PRESSED_MASK

    static final int MOUSE_PRESSED_MASK

  Gesture descriptor mask - Set if the mouse button was pressed.

  See Also:
    Constant Field Values

### MOUSE_RELEASED_MASK

    static final int MOUSE_RELEASED_MASK

  Gesture descriptor mask - Set if the mouse button was released.

  See Also:
    Constant Field Values

### MOUSE_MOVED_MASK

    static final int MOUSE_MOVED_MASK

  Gesture descriptor mask - Set if the mouse moved with no buttons pressed.

  See Also:
    Constant Field Values

### MOUSE_ENTERED_MASK

    static final int MOUSE_ENTERED_MASK

  Gesture descriptor mask - Set if the mouse cursor has entered the map window.

  See Also:
    Constant Field Values

### MOUSE_EXITED_MASK

    static final int MOUSE_EXITED_MASK

  Gesture descriptor mask - Set if the mouse cursor has left the map window.

  See Also:
    Constant Field Values

### MOUSE_DRAGGED_MASK

    static final int MOUSE_DRAGGED_MASK

  Gesture descriptor mask - Set if the mouse moved with a button down.

  See Also:
    Constant Field Values

### KEY_PRESSED_MASK

    static final int KEY_PRESSED_MASK

  Gesture descriptor mask - Set if a keyboard button was pressed.

  See Also:
    Constant Field Values

### KEY_RELEASED_MASK

    static final int KEY_RELEASED_MASK

  Gesture descriptor mask - Set if a keyboard button was released.

  See Also:
    Constant Field Values

### GRAPHIC_ID_MASK

    static final int GRAPHIC_ID_MASK

  Gesture descriptor mask - Set if a gesture is affiliated with a particular graphic. The graphic ID will be available via the getGraphicID() method.

  See Also:
    Constant Field Values

### CLIENT_NOTIFICATION_MASK

    static final int CLIENT_NOTIFICATION_MASK

  Gesture descriptor mask - Set if the integer is being sent to the client to tell it what types of events the server is interested in receiving.

  See Also:
    Constant Field Values

### SERVER_NOTIFICATION_MASK

    static final int SERVER_NOTIFICATION_MASK

  Gesture descriptor mask - Set if the server is interested in receiving events even if a graphic gesture is handled locally.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details